package com.qxgmat.data.relation.entity;

import com.qxgmat.data.dao.entity.HomeworkPreview;
import com.qxgmat.data.dao.entity.User;
import com.qxgmat.data.dao.entity.UserPaper;
import com.qxgmat.data.dao.entity.UserReport;

import java.util.List;

/**
 * Created by gaojie on 2017/11/9.
 */
public class UserHomeworkPreviewRelation extends UserPaper {
    private HomeworkPreview preview;

    private UserReport report;

    private User user;

    public HomeworkPreview getPreview() {
        return preview;
    }

    public void setPreview(HomeworkPreview preview) {
        this.preview = preview;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public UserReport getReport() {
        return report;
    }

    public void setReport(UserReport report) {
        this.report = report;
    }
}
